Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredPointsToUnstructuredGridFilter Class Reference

`#include <vtkStructuredPointsToUnstructuredGridFilter.h>`

Inheritance diagram for vtkStructuredPointsToUnstructuredGridFilter:

[legend]
Collaboration diagram for vtkStructuredPointsToUnstructuredGridFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:44

Revision:
  1.21

vtkStructuredPointsToUnstructuredGridFilter is an abstract filter class whose subclasses take on input structured points and generate unstructured grid data on output.

See also:
  vtkClipVolume

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (53%)
  - Law, Charles (16%)
  - Cedilnik, Andy (14%)
  - Lorensen, Bill (9%)
  - Martin, Ken (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkStructuredPointsToUnstructuredGridFilter.cxx)`
  - .`h` (`/Filtering/vtkStructuredPointsToUnstructuredGridFilter.h)`

Definition at line 51 of file vtkStructuredPointsToUnstructuredGridFilter.h.

## Public Types
typedef vtkUnstructuredGridSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkStructuredPointsToUnstructuredGridFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredPointsToUnstructuredGridFilter ()
| ~vtkStructuredPointsToUnstructuredGridFilter ()
void | ComputeInputUpdateExtents (vtkDataObject *output)

## Member Typedef Documentation

typedef vtkUnstructuredGridSource vtkStructuredPointsToUnstructuredGridFilter::Superclass

| Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkClipVolume. Definition at line 54 of file vtkStructuredPointsToUnstructuredGridFilter.h.

## Constructor & Destructor Documentation

vtkStructuredPointsToUnstructuredGridFilter::vtkStructuredPointsToUnstructuredGridFilter | ( |  | ) | `[inline, protected]`

| Definition at line 64 of file vtkStructuredPointsToUnstructuredGridFilter.h.

vtkStructuredPointsToUnstructuredGridFilter::~vtkStructuredPointsToUnstructuredGridFilter | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkStructuredPointsToUnstructuredGridFilter.h.

## Member Function Documentation

virtual const char* vtkStructuredPointsToUnstructuredGridFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkClipVolume.

int vtkStructuredPointsToUnstructuredGridFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkClipVolume.

virtual int vtkStructuredPointsToUnstructuredGridFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkClipVolume.

vtkStructuredPointsToUnstructuredGridFilter* vtkStructuredPointsToUnstructuredGridFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkClipVolume.

void vtkStructuredPointsToUnstructuredGridFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkClipVolume.

void vtkStructuredPointsToUnstructuredGridFilter::SetInput | ( | vtkImageData * | input | ) |

| Set / get the input data or filter.

vtkImageData* vtkStructuredPointsToUnstructuredGridFilter::GetInput | ( |  | ) |

| Set / get the input data or filter.

void vtkStructuredPointsToUnstructuredGridFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkUnstructuredGridSource.

The documentation for this class was generated from the following file:

- Filtering/vtkStructuredPointsToUnstructuredGridFilter.h